package berkutschi

type PollData struct {
	Data struct {
		AvailableStates []string `json:"available_states"`
		Current         struct {
			Bib   string `json:"bib"`
			Club  string `json:"club"`
			Cumul struct {
				Points float64 `json:"points"`
				Rank   int64   `json:"rank"`
			} `json:"cumul"`
			DateOfBirth string      `json:"date_of_birth"`
			Dnf         bool        `json:"dnf"`
			DNS         bool        `json:"dns"`
			Dq          bool        `json:"dq"`
			Dqp         bool        `json:"dqp"`
			Dtb1        interface{} `json:"dtb1"`
			Dtb2        interface{} `json:"dtb2"`
			Dtb3        interface{} `json:"dtb3"`
			Firstname   string      `json:"firstname"`
			Fiscode     string      `json:"fiscode"`
			Gatecomp    int64       `json:"gatecomp"`
			Gatesnumber interface{} `json:"gatesnumber"`
			Image       string      `json:"image"`
			Image2      string      `json:"image2"`
			Image3      string      `json:"image3"`
			Judge       struct {
				One struct {
					Discard bool    `json:"discard"`
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
				} `json:"1"`
				Two struct {
					Discard bool    `json:"discard"`
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
				} `json:"2"`
				Three struct {
					ID    string  `json:"id"`
					Order int64   `json:"order"`
					Rate  float64 `json:"rate"`
				} `json:"3"`
				Four struct {
					ID    string  `json:"id"`
					Order int64   `json:"order"`
					Rate  float64 `json:"rate"`
				} `json:"4"`
				Five struct {
					ID    string  `json:"id"`
					Order int64   `json:"order"`
					Rate  float64 `json:"rate"`
				} `json:"5"`
			} `json:"judge"`
			Judgetotal struct {
				Points float64 `json:"points"`
				Rank   int64   `json:"rank"`
			} `json:"judgetotal"`
			Lastname string `json:"lastname"`
			Length   struct {
				Length float64 `json:"length"`
				Points float64 `json:"points"`
			} `json:"length"`
			Nat    string `json:"nat"`
			Nps    bool   `json:"nps"`
			Points struct {
				Points float64 `json:"points"`
				Rank   int64   `json:"rank"`
			} `json:"points"`
			Speed struct {
				Speed string `json:"speed"`
			} `json:"speed"`
			Wind struct {
				Compensation float64 `json:"compensation"`
				Wind         float64 `json:"wind"`
			} `json:"wind"`
		} `json:"current"`
		Messages []struct {
			Text      string `json:"text"`
			Timestamp string `json:"timestamp"`
		} `json:"messages"`
		Next struct {
			Bib         string `json:"bib"`
			Club        string `json:"club"`
			DateOfBirth string `json:"date_of_birth"`
			Firstname   string `json:"firstname"`
			Fiscode     string `json:"fiscode"`
			Image       string `json:"image"`
			Image2      string `json:"image2"`
			Image3      string `json:"image3"`
			Lastname    string `json:"lastname"`
			Nat         string `json:"nat"`
		} `json:"next"`
		Raceinfo struct {
			Discipline interface{} `json:"discipline"`
			Event      string      `json:"event"`
			Gender     string      `json:"gender"`
			Judges     struct {
				One struct {
					Nation string `json:"nation"`
				} `json:"1"`
				Two struct {
					Nation string `json:"nation"`
				} `json:"2"`
				Three struct {
					Nation string `json:"nation"`
				} `json:"3"`
				Four struct {
					Nation string `json:"nation"`
				} `json:"4"`
				Five struct {
					Nation string `json:"nation"`
				} `json:"5"`
			} `json:"judges"`
			Mvalue string `json:"mvalue"`
			No     string `json:"no"`
			Team   string `json:"team"`
		} `json:"raceinfo"`
		Results []struct {
			Bib           int64       `json:"bib"`
			DNS           bool        `json:"dns"`
			Dq            bool        `json:"dq"`
			FinalRank     int64       `json:"final_rank"`
			Gatecomp      int64       `json:"gatecomp"`
			Gatesnumber   interface{} `json:"gatesnumber"`
			Length1       float64     `json:"length1"`
			LengthPoints1 float64     `json:"length_points1"`
			Name          string      `json:"name"`
			Nation        string      `json:"nation"`
			Nps           bool        `json:"nps"`
			Points1       float64     `json:"points1"`
			Q             bool        `json:"q"`
			Qualified     string      `json:"qualified"`
			Speed         string      `json:"speed"`
			Total         float64     `json:"total"`
			Wind          struct {
				Compensation float64 `json:"compensation"`
				Wind         float64 `json:"wind"`
			} `json:"wind"`
		} `json:"results"`
		Startlist struct {
			Jumpers []struct {
				Bib         string `json:"bib"`
				Club        string `json:"club"`
				DateOfBirth string `json:"date_of_birth"`
				Firstname   string `json:"firstname"`
				Fiscode     string `json:"fiscode"`
				Image       string `json:"image"`
				Image2      string `json:"image2"`
				Image3      string `json:"image3"`
				Lastname    string `json:"lastname"`
				Nat         string `json:"nat"`
			} `json:"jumpers"`
			Runno string `json:"runno"`
		} `json:"startlist"`
		Status string `json:"status"`
		Team   bool   `json:"team"`
	} `json:"data"`
	Event struct {
		Canceled        bool `json:"canceled"`
		Cancelled       bool `json:"cancelled"`
		CompetitionActs []struct {
			Date string `json:"date"`
			Sort string `json:"sort"`
			Time string `json:"time"`
		} `json:"competition_acts"`
		CreatedAt   string `json:"created_at"`
		Date        string `json:"date"`
		EndOfPeriod bool   `json:"end_of_period"`
		Fiscodex    string `json:"fiscodex"`
		Gender      string `json:"gender"`
		Hill        struct {
			BackwindFactor string      `json:"backwind_factor"`
			BuildingYear   int64       `json:"building_year"`
			Certificate    string      `json:"certificate"`
			Contact        string      `json:"contact"`
			CreatedAt      interface{} `json:"created_at"`
			Description    string      `json:"description"`
			GateFactor     string      `json:"gate_factor"`
			HeadwindFactor string      `json:"headwind_factor"`
			Height         interface{} `json:"height"`
			HillImages     []struct {
				HillThumb     string `json:"hill_thumb"`
				HillThumb150  string `json:"hill_thumb150"`
				HillThumb200  string `json:"hill_thumb200"`
				HillThumb480  string `json:"hill_thumb480"`
				PhotoFileName string `json:"photo_file_name"`
			} `json:"hill_images"`
			HillJumpers []struct {
				Distance string `json:"distance"`
				HillID   int64  `json:"hill_id"`
				ID       int64  `json:"id"`
				Jumper   struct {
					Name   string `json:"name"`
					Nation struct {
						FlagPath  string `json:"flag_path"`
						ID        int64  `json:"id"`
						Name      string `json:"name"`
						Shortname string `json:"shortname"`
						Slug      string `json:"slug"`
						Visible   bool   `json:"visible"`
					} `json:"nation"`
				} `json:"jumper"`
				JumperID   int64  `json:"jumper_id"`
				RecordDate string `json:"record_date"`
			} `json:"hill_jumpers"`
			HillRecord  string `json:"hill_record"`
			HillSize    string `json:"hill_size"`
			ID          int64  `json:"id"`
			InrunLength string `json:"inrun_length"`
			Location    struct {
				Lat    string `json:"lat"`
				Lng    string `json:"lng"`
				Name   string `json:"name"`
				Nation struct {
					FlagPath  string `json:"flag_path"`
					Shortname string `json:"shortname"`
				} `json:"nation"`
			} `json:"location"`
			LocationID     int64       `json:"location_id"`
			Name           string      `json:"name"`
			OutrunGradient string      `json:"outrun_gradient"`
			PointK         string      `json:"point_k"`
			Size           string      `json:"size"`
			Slug           string      `json:"slug"`
			Speed          string      `json:"speed"`
			StandCapacity  int64       `json:"stand_capacity"`
			TableGradient  string      `json:"table_gradient"`
			TableHeight    string      `json:"table_height"`
			TowerHeight    interface{} `json:"tower_height"`
			UpdatedAt      string      `json:"updated_at"`
			Visible        bool        `json:"visible"`
			Windfinder     string      `json:"windfinder"`
		} `json:"hill"`
		HillID    int64    `json:"hill_id"`
		ID        int64    `json:"id"`
		Remarks   string   `json:"remarks"`
		Season    string   `json:"season"`
		Sorts     []string `json:"sorts"`
		Start     string   `json:"start"`
		Team      int64    `json:"team"`
		UpdatedAt string   `json:"updated_at"`
	} `json:"event"`
}
